function radius= mk_cone(processsize, radiusstep)
        %radiusstep = 2;
        dirradlib= pwd;% directory where Gaussians for angular averaging are stored
        Rfinal = 1;
        sigmanul = 0.9;%sigma of Gaussian for the low frequencies
        sigmaR = 2; %sigma of Gaussian for the high frequencies
        radfile = strcat([dirradlib filesep '/radius_lib/astigR'],num2str(Rfinal),'astigang',num2str(0),'_rad_step',num2str(radiusstep),'_max',...
            num2str(processsize),'_sig',num2str(sigmaR),'to',num2str(sigmanul),'.mat');
        if exist (radfile,'file')
           load(radfile)
        else
           % building the averaging 'gaussian cone-cube'
            [radius_range, radius] = mk_gauss_cone_cube(radiusstep, processsize, Rfinal, 0, sigmanul, sigmaR);
            save( radfile, 'radius_range', 'radius' )
        end
end